=== java/Makefile ===
pclient.class: pclient.java
	javac -target 1.1 pclient.java
