## bubbros 1.6.2

=== Makefile ===
--- 
+++ 
@@ -13,9 +13,15 @@
 export # we export all variales to sub-makes
 
 all:
-	make -C bubbob
+	if [ -e bubbob ]; then make -C bubbob; fi
 	make -C display
-	-make docs
+	@echo -------------------------------------------------------------
+	@echo \'make\' successful.
+	@echo ' '
+	@echo ' Start the game interactively with: python BubBob.py'
+	@if [ -e bubbob ]; then echo ' Server only (pure command-line): python bubbob/bb.py --help'; else echo ' Only the client is installed here.'; fi
+	@echo ' '
+	@echo -------------------------------------------------------------
 
 clean:
 	-rm -f `find -name "*~"`
