=== bubbob/Makefile ===
statesaver.so: statesaver.c
	python setup.py build_ext -i
