=== display/Makefile ===
xshm.so: xshm.c
	python setup.py build_ext -i
