=== debian/changelog ===
bubbros (1.6.2-1) unstable; urgency=medium

  [ Siegfried-Angel Gevatter Pujals ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Change python-all-dev dependency to python-all.

  [ Evgeni Golov ]
  * Update Vcs-* fields to point to anonscm.debian.org.

  [ Juhani Numminen ]
  * New upstream release.
    - Fixes obsolete Python string exceptions (Closes: #585187).
  * debian/control:
    - Add myself to Uploaders.
    - Add quilt to Depends.
    - Bump Standards-Version to 3.9.5.
    - Change python helper to dh-python as python-support is obsolete.
    - Remove ${shlibs:Depends} from Depends as the binary package is arch-indep.
    - Remove sharutils from Depends.
  * debian/rules:
    - Include CDBS’ quilt makefile.
    - Change python helper to dh-python as python-support is obsolete.
    - Don’t install the CVS cruft and Makefiles.
    - Don’t generate bubbros.png or clean it.
  * Add debian/patches/series.
  * Add debian/patches/replace_sf_logo.patch: Prevent fetching SF.net logo.
  * debian/patches/*.patch: Refresh all patches.
  * debian/bubbros.desktop:
    - Add Keywords.
    - Remove unhelpful GenericName.
  * debian/copyright:
    - Rewrite to machine-readable format.
    - Game art license was changed from Artistic to Artistic-2.
  * Add debian/bubbros.png, uudecoded debian/bubbros.png.uu.
  * Add debian/source/include-binaries to include debian/bubbros.png.
  * Remove debian/bubbros.png.uu.
  * Remove debian/bubbros.doc-base as the html docs were dropped.

  [ Vincent Cheng ]
  * Drop build-dep on quilt (made redundant by source format "3.0 (quilt)").
  * Remove redundant build-dep on dh-python (pybuild isn't being used at all).

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 13 May 2014 14:51:30 +0300

bubbros (1.6-2) unstable; urgency=low

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * debian/menu:
     - Replace "x11" with "X11", so that the entry is displayed in the
       menu (Closes: #470877).
     - Formatting changes.
  * debian/control:
     - Change dependencies lists formatting to one package per line.
     - Bump Standards Version to 3.8.3.
  * debian/copyright:
     - Change my e-mail address.
     - Change "(C)" to the real copyright sign.
  * debian/install:
     - Exclude download.html and sshots.html from being installed, as they
       have no useful content.
  * debian/bin/bubbros-*.sh:
     - Remove the "$*", they work fine without it (Closes: #530053).
  * Add debian/bubbros.doc-base.

  [ Eddy Petrișor ]
  * Put the team in the Maintainer field and real people in Uploaders
  * Fix the VCS-* fields

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sun, 13 Dec 2009 16:11:30 +0100

bubbros (1.6-1) unstable; urgency=low

  * Initial release (Closes: #308148).
  * Add the following patches (see comments in their header for more info):
     - patches/config_in_homedir.patch
     - patches/disable_runtime_image_building.patch
     - patches/manpages.patch
     - patches/remove_shabangs.patch

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 02 Dec 2007 22:16:45 +0100
