=== debian/control ===
Source: bubbros
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>,
 Juhani Numminen <juhaninumminen0@gmail.com>
Homepage: http://bub-n-bros.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/bubbros
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/bubbros/
Build-Depends: cdbs (>= 0.4.90~),
 debhelper (>= 5.0.37.1),
 devscripts (>= 2.9),
 python-all (>= 2.6.6-3~)
Standards-Version: 3.9.5

Package: bubbros
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 ${python:Depends},
 python-pygame (>= 1.5.5)
Description: multiplayer clone of the famous Bubble Bobble game
 The objective of this game is to obtain points by destroying enemies
 (capturing them into bubbles and smashing those) and collecting items.
 It supports up to 10 players and is network-capable.
