=== debian/watch ===
version=3

http://sf.net/bub-n-bros/bubbros-([^\-]*)\.tar\.gz
